/* This file is part of Lcrzo.
*/

int lcrzo_global_set_spoof_useethforip(lcrzo_bool useethforip)
{
  lcrzo_priv_globalvars *ptr;

  lcrzo_er(lcrzo_priv_globalvars_ptr_get(&ptr));

#if defined LCRZODEF_SYSTEM_Unix
  ptr->spoof_useethforip = useethforip;
#elif defined LCRZODEF_SYSTEM_Windows
  {
    lcrzo_bool supportsip;

    lcrzo_er(lcrzo_priv_spoof_supports_ip(&supportsip));
    if (supportsip)
      ptr->spoof_useethforip = useethforip;
    else
      ptr->spoof_useethforip = LCRZO_TRUE;
  }
#else
#error "Unknown value for LCRZODEF_SYSTEM"
#endif

  return (LCRZO_ERR_OK);
}
