/* This file is part of Lcrzo.
*/

int lcrzo_priv_init_tlsalloc(void)
{
#if defined LCRZODEF_SYSTEM_Unix
#elif defined LCRZODEF_SYSTEM_Windows
  lcrzo_priv_globaltlsindex = TlsAlloc();
  if ((lcrzo_int32) lcrzo_priv_globaltlsindex == -1)
    return (LCRZO_ERR_FUTLSALLOC);
#else
#error "Unknown value for LCRZODEF_SYSTEM"
#endif
  return (LCRZO_ERR_OK);
}
