/* This file is part of Lcrzo.
*/

int lcrzo_priv_wait_fd_wait(int fd,
                            lcrzo_time * pmaxwaitingtime,
                            lcrzo_bool * pevent)
{

#if defined LCRZODEF_SYSTEM_Unix
  lcrzo_er(lcrzo_priv_fd_wait(fd, pmaxwaitingtime, pevent));
#elif defined LCRZODEF_SYSTEM_Windows
  /* suppose it's a filehandle for a disk file, for which there is
     only data, or endoffile. So there is no need to wait. */
  if (pevent != NULL)
    *pevent = LCRZO_TRUE;
#else
#error "Unknown value for LCRZODEF_SYSTEM"
#endif

  return (LCRZO_ERR_OK);
  pmaxwaitingtime = pmaxwaitingtime;
  fd = fd;
}
