/* This file is part of Lcrzo.
*/

int lcrzo_priv_wait_winhandle_wait(lcrzo_winhandle * pwinhandle,
                                   lcrzo_time * pmaxwaitingtime,
                                   lcrzo_bool * pevent)
#if defined LCRZODEF_SYSTEM_Unix
{
  return (LCRZO_ERR_IEUNIMPLEMENTED);
  pwinhandle = pwinhandle;
  pmaxwaitingtime = pmaxwaitingtime;
  pevent = pevent;
}
#elif defined LCRZODEF_SYSTEM_Windows
{
  lcrzo_er(lcrzo_priv_wait_handle_wait
           (pwinhandle->thehandle, pwinhandle->type, pmaxwaitingtime,
            pevent));
  return (LCRZO_ERR_OK);
}
#else
#error "Unknown value for LCRZODEF_SYSTEM"
#endif
