/* This file is part of Lcrzo.
*/

/*-------------------------------------------------------------*/
typedef struct {
  int fd;
} lcrzo_priv_fd_event;

/*-------------------------------------------------------------*/
/*-------------------------------------------------------------*/
#if defined LCRZODEF_SYSTEM_Unix

int lcrzo_priv_wait_init_fd_event(lcrzo_constptr infos,
                                  lcrzo_int32 infossize,
                                  lcrzo_time * pmaxwaitingtime,
                                  lcrzo_bool * phasevent);
int lcrzo_priv_wait_init_fd_event(lcrzo_constptr infos,
                                  lcrzo_int32 infossize,
                                  lcrzo_time * pmaxwaitingtime,
                                  lcrzo_bool * phasevent)
{
  const lcrzo_priv_fd_event *pfe = (const lcrzo_priv_fd_event *)infos;

  lcrzo_er(lcrzo_priv_fd_wait(pfe->fd, pmaxwaitingtime, phasevent));
  return (LCRZO_ERR_OK);
  infossize = infossize;
}

int lcrzo_wait_init_fd_event(int fd,
                             lcrzo_wait * pwait)
{
  lcrzo_priv_fd_event fe;

  fe.fd = fd;
  return (lcrzo_wait_init_function_event(&lcrzo_priv_wait_init_fd_event,
                                         (lcrzo_constdata) & fe, sizeof(fe),
                                         pwait));
}

/*-------------------------------------------------------------*/
/*-------------------------------------------------------------*/
#elif defined LCRZODEF_SYSTEM_Windows

int lcrzo_wait_init_fd_event(int fd,
                             lcrzo_wait * pwait)
{
  return (LCRZO_ERR_IEUNIMPLEMENTED);
  fd = fd;
  pwait = pwait;
}

#else
#error "Unknown value for LCRZODEF_SYSTEM"
#endif
